Summary:	Maintains identical copies of files on multiple machines
Summary(de.UTF-8):	Dateienverteiler - Verwaltung von Dateien auf mehreren Computern
Summary(fr.UTF-8):	Distributeur de fichiers - maintien des fichiers sur différentes machines
Summary(pl.UTF-8):	Narzędzie do zarządzania identycznymi kopiami plików na wielu maszynach
Summary(tr.UTF-8):	Dosyaları birden fazla makinada saklama sistemi
Name:		rdist
Version:	6.1.5
Release:	35
License:	BSD
Group:		Applications/System
Source0:	http://www.MagniComp.com/download/rdist/%{name}-%{version}.tar.gz
# Source0-md5:	546779700af70aa5f9103e08782cdcac
Source1:	%{name}-eu-license.txt
Patch0:		%{name}-linux.patch
Patch1:		%{name}-links.patch
Patch2:		%{name}-oldpath.patch
Patch3:		%{name}-hardlink.patch
Patch4:		%{name}-glibc.patch
Patch5:		%{name}-ostype.patch
Patch6:		%{name}-environ.patch
Patch7:		%{name}-bison.patch
Patch8:		%{name}-varargs.patch
URL:		http://www.MagniComp.com/rdist/
BuildRequires:	bison
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rdist program maintains identical copies of files on multiple
hosts. If possible, rdist will preserve the owner, group, mode and
mtime of files and it can update programs that are executing.

%description -l de.UTF-8
Rdist ist ein Programm zur Aufrechterhaltung identischer Kopien von
Dateien über mehrere Hostrechner. Es behält den Besitzer, die Gruppe,
den Modus und mtime der Dateien wenn irgend möglich bei, und kann
Programme, die ausgeführt werden, aktualisieren.

%description -l fr.UTF-8
Rdist est un programme pour maintenir des copies d'un même fichier
identiques sur plusieurs machines. Il conserve le propriétaire, le
groupe, le mode, et la date des fichiers si possible et peut mettre à
jour les programmes qu'ils utilisent.

%description -l pl.UTF-8
Program rdist zarządza identycznymi kopiami plików na wielu maszynach.
Jeżeli to możliwe, zachowuje właściciela, grupę, uprawnienia i czas
modyfikacji plików.

%description -l tr.UTF-8
rdist ile bir programın birden fazla kopyasının değişik makinalarda
aynı kullanıcı, grup ve kip bilgileri ile saklanması sağlanır.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,8},%{_sbindir}}

install src/rdist $RPM_BUILD_ROOT%{_bindir}
install src/rdistd $RPM_BUILD_ROOT%{_sbindir}
ln -sf ../sbin/rdistd $RPM_BUILD_ROOT%{_bindir}/rdistd

install doc/rdist.man $RPM_BUILD_ROOT%{_mandir}/man1/rdist.1
install doc/rdistd.man $RPM_BUILD_ROOT%{_mandir}/man8/rdist.8

install %{SOURCE1} doc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/rdist-eu-license.txt
%attr(755,root,root) %{_bindir}/rdist
%attr(755,root,root) %{_bindir}/rdistd
%attr(755,root,root) %{_sbindir}/rdistd
%{_mandir}/man[18]/*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rdist.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 89ed7a7
- release 35 (by relup.sh)

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> a7a001f
- release 34

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 55af6b7
- rel 33 for fc2 upgrade

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c1241ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05dd77b
- converted to UTF-8

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 1339bbf
- cosmetics

* Sun Jul 06 2003 areq <areq@pld-linux.org> 46b413c
- from rawhide

* Sun Jul 06 2003 areq <areq@pld-linux.org> affccb5
- add bison.patch and varargs.patch from rawhide - allow build in nest

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 3b7aa62
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3d3d1dc
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Nov 02 2002 wolf <wolf@pld-linux.org> eef6f80
- %__cc

* Tue Jul 23 2002 marcus <marcus@pld-linux.org> b2df5b9
- use new %doc
- rel.16.

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 975f478
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 6b63961
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 68df5f1
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Wed May 02 2001 Jakub Bogusz <qboosh@pld-linux.org> ffd9438
- adapterized and made spec %debug ready or added using %rpm*flags macros

* Mon Dec 11 2000 Jakub Bogusz <qboosh@pld-linux.org> a7004e7
- BuildRequires: bison

* Tue Aug 08 2000 kloczek <kloczek@pld-linux.org> dca9c51
- release 15,
- added de, fr, tr translation from old TurboLinux spec,
- added environ patch from MDK (be sure to keep the environnement variable).

* Tue Aug 08 2000 kloczek <kloczek@pld-linux.org> ef3b736
- Be sure to keep the environnement variable (patch from MDK).

* Tue Aug 08 2000 Jan Rękorajski <baggins@pld-linux.org> c2209c9
- fix compilation on 2.4.0 kernels

